---
title: Installation
description: Get started with Docus.
navigation:
  icon: i-lucide-download
seo:
  description: Get started with Docus documentation theme.
---

## Local development

::steps
### Create your docs directory

Use the `docus` CLI to create a new Docus project in the `docs/` directory:

```bash [Terminal]
npx docus init docs
```

We recommend using the `npm` package manager.

### Start your docs server in development

Move to the `docs/` directory and start your docs server in development mode:

```bash [Terminal]
npm run dev
```

A local preview of your documentation will be available at <http://localhost:4000>

### Write your documentation

Head over the [Edition](https://docus.dev/concepts/edition) section to learn how to write your documentation.
::

## Online Edition with [Nuxt Studio](https://content.nuxt.com/studio)

::prose-steps
### Create a new project on [Nuxt Studio](https://nuxt.studio)

Choose `Start from a template` and select **Docus.** Clone it on your GitHub personal account or any organisation of your choice.

### Deploy in one click

Once your project has been created and you're in the project dashboard, navigate to the `Deploy` section, choose the `GitHub Pages` tab and set your [Nuxt UI Pro license](https://ui.nuxt.com/pro/pricing) (`NUXT_UI_PRO_LICENSE` ) in the environment variables then click on the **Deploy** button.

  :::prose-note
  ---
  to: https://content.nuxt.com/docs/studio/setup#enable-the-full-editing-experience
  ---
  This is a one click static deployment available with [GitHub Pages](https://docs.github.com/en/pages/getting-started-with-github-pages/creating-a-github-pages-site) but you can also handle deployment yourself and use the `Selfhosted` tab.
  :::

### Write your documentation in the editor

Once the deployment is achieved, you'll be able to display the preview of your documentation. You can browse your content pages to edit them or create new ones.

:video{controls loop poster="https://res.cloudinary.com/nuxt/video/upload/v1747230893/studio/wzt9zfmdvk7hgmdx3cnt.jpg" src="https://res.cloudinary.com/nuxt/video/upload/v1747230893/studio/wzt9zfmdvk7hgmdx3cnt.mp4"}
::

::prose-tip{to="https://content.nuxt.com/docs/studio/debug"}
If you want to try Docus and Nuxt Studio in develoment mode without an UI Pro license, you can check the Nuxt Content documentation for local setup with Nuxt Studio.
::
