---
navigation:
  icon: i-lucide-folder-tree
title: Project Structure
---

Docus provides a ready-to-use [documentation website starter](https://github.com/nuxtlabs/docus/tree/main/.starter).

This is the minimal directory structure to get an up and running Docus website.

```bash
content/
  index.md
public/
  favicon.ico
package.json
```

### `content/` directory

This is where you [write pages](/concepts/edition) in Markdown.

### `public/` directory

Files contained within the `public/` directory are served at the root and are not modified by the build process of your documentation. This is where you can locate your medias.

### `package.json`

This file contains all the dependencies and scripts for your application. The `package.json` of a Docus application si really minimal and looks like:

```json [package.json]
{
  "name": "docus-starter",
  "scripts": {
    "dev": "docus dev",
    "build": "docus build"
  },
  "devDependencies": {
    "docus": "latest"
  }
}
```

### `app.config.ts`

*This file is not mandatory to start a Docus application.*

This is where you can [configure Docus](/concepts/configuration) to fit your branding, handle SEO and adapt links and socials.

::prose-tip{to="/concepts/nuxt"}
Docus uses a layer system, you can go further and use any feature or file of a classical Nuxt project from `nuxt.config.ts` to `app/components` or `server/` directory.
::
